George Jones 3 years ago
commit
9b8e39dea5
3 changed files with 49 additions and 0 deletions
  1. 16 0
      .config/twtxt/config
  2. 6 0
      install/install-twtxt.sh
  3. 27 0
      rc.local/twtxt-aliases.sh

+ 16 - 0
.config/twtxt/config

@@ -0,0 +1,16 @@
+[twtxt]
+nick = eludom
+twtfile = /home/gmj/twtxt.txt
+twturl = http://www.port111.com/george/twtxt.txt
+disclose_identity = True
+character_limit = 1000
+character_warning = 140
+
+[following]
+twtxt = https://buckket.org/twtxt_news.txt
+adiabatic = https://www.frogorbits.com/twtxt.txt
+jcolag = https://john.colagioia.net/twtxt.txt
+vain = https://www.uninformativ.de/twtxt.txt
+prologic = https://twtxt.net/user/prologic/twtxt.txt
+antonio = https://twtxt.net/user/antonio/twtxt.txt
+teradyne = http://twtxt.prismdragon.net/twtxt.txt

+ 6 - 0
install/install-twtxt.sh

@@ -0,0 +1,6 @@
+#! /bin/bash
+# Install twtxt
+
+which python3 || sudo apt install python3
+which pip3 || sudo apt install python3-pip
+pip3 install twtxt

+ 27 - 0
rc.local/twtxt-aliases.sh

@@ -0,0 +1,27 @@
+# Aliases for using twtxt
+#
+# See https://github.com/buckket/twtxt
+# Also see https://github.com/prologic/twtxt and https://twtxt.net/
+#
+
+# twtxt timeline
+alias twl='twtxt timeline --ascending'
+
+# twtxt twit
+#
+# TODO Mitigate possible cross-sytem conflicts.  git pull here, add/commit/push after?
+#
+
+alias twt='twg && twtxt tweet && twp || echo failed to tweet'
+
+# twtxt publish
+alias twp='scp ~/twtxt.txt gmj@port111.com:~/public_html/george/'
+
+# twtxt get current
+alias twg='scp gmj@port111.com:~/public_html/george/twtxt.txt ~/'
+
+function twtp () {
+    # twtxt twit and post
+    twt "$*"
+    twp
+}